# Uses of Enum Class
org.springframework.aot.generate.AccessControl.Visibility

Packages that use AccessControl.Visibility
Package
Description
org.springframework.aot.generate
Support classes for components that contribute generated code equivalent to a runtime behavior.

## Uses of AccessControl.Visibility in org.springframework.aot.generate

Methods in org.springframework.aot.generate that return AccessControl.Visibility
Modifier and Type
Method
Description
`AccessControl.Visibility`
AccessControl.`getVisibility()`
Return the lowest `AccessControl.Visibility` of this instance.
`static AccessControl.Visibility`
AccessControl.Visibility.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static AccessControl.Visibility[]`
AccessControl.Visibility.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.